Subject: [bug#57608] Upstreaming KDE Plasma and rest of packages

From: Marek Paśnikowski <[email-masked]>
Date: Sun, 02 Oct 2022 17:14:06 +0000

Good morning / evening.

Today my small Thinkpad finally finished building the new release of Plasma. In the system configuration, I declared `(service plasma-desktop-service-type)`, as my desire is just to see the KDE desktop. My testing methodology is to edit my Guix configuration on a testing branch and sequentially perform `guix pull`, `guix home reconfigure` and `guix system reconfigure`.

In order to perform this test I set `https://github.com/phodina/guix.git` as the Git remote and pulled the `patch/plasma` branch. I made no customizations to the repository.

The commit used is `d9ca04ca425915a7b991f3bcfa72b5b0e6f48e45`.

This time, I encountered several different issues during the rebuilds:
    1. (irrelevant to KDE) build of gnome-keyring fails on the `check` phase, so I had to comment `(service gnome-desktop-service-type)` out of my system configuration;
    2. `kaccounts-integration` appears to be defined in two files;
    3. the overall state of the Plasma Desktop regressed from a broken, but visible panel ( https://github.com/phodina/guix/issues/6 ) to no panel - at least the initial animation completes and the cursor moves;
    4. `(define-public plasma (package (version "5.25.4")))` in `kde-plasma.scm` sticks out from the rest of packages on version "5.25.5".

Below is a collection of log snippets relating to the aforementioned issues.
    1. ```$ zcat /var/log/guix/drvs/hp/ahf0x32fr2wsvp34wdnfl2dyf9m5bc-gnome-keyring-42.1.drv.gz
PASS: test-gnome2-private-key 1 /gnome2-store/private-key/load
PASS: test-gnome2-private-key 2 /gnome2-store/private-key/save
SKIP: test-import Bail out! Gck-FATAL-WARNING: couldn't close session properly: The module has not been initialized

(test-import:23825): Gck-WARNING **: 16:24:33.365: couldn't close session properly: The module has not been initialized
ERROR: test-import process failed: -5
PASS: test-initialize 1 /pkcs11/rpc-layer/initialize/normal
PASS: test-initialize 2 /pkcs11/rpc-layer/initialize/control
```
    2. ```WARNING: (gnu packages kde-plasma): `kaccounts-integration' imported from both (gnu packages kde) and (gnu packages kde-pim)```;
    3. ```$ sudo herd restart xorg-server -> $ sudo tail -f /var/log/messages -> Start user session in GDM

Oct 2 18:51:58 localhost elogind[282]: New session c11 of user marek.
Oct 2 18:52:10 localhost gnome-session-binary[22756]: WARNING: Lost name on bus: org.gnome.SessionManager
Oct 2 18:52:10 localhost gdm-x-session: GLib: Source ID 2 was not found when attempting to remove it
Oct 2 18:52:10 localhost gdm-session-worker: GLib-GObject: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
Oct 2 18:52:10 localhost elogind[282]: Removed session c10.
Oct 2 18:52:10 localhost pulseaudio[22793]: [pulseaudio] core-util.c: Failed to create secure directory (/run/user/975/pulse): No such file or directory
Oct 2 18:52:10 localhost gdm: Gdm: Child process -22742 was already dead.
Oct 2 18:52:47 localhost ntpd[281]: Soliciting pool server 94.23.94.78
Oct 2 18:52:49 localhost shepherd[1]: [dbus-daemon] Geoclue-Message: 18:52:49.433: Service not used for 60 seconds. Shutting down..
```